/* --- cookies ----*/
.cookie-container {
    position: fixed;
    bottom: 20px;
    left: 20px;
    right: 20px;
    background: rgba(10, 10, 12, 0.98); /* Deep Night Blue */
    border: 1px solid var(--primary); /* Subtle Cyan border */
    padding: 20px 30px;
    border-radius: 12px;
    display: none; /* Controlled by your JS */
    justify-content: space-between;
    align-items: center;
    backdrop-filter: blur(12px);
    z-index: 9999;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);
    gap: 20px;
}

/* Text styling */
.cookie-container p {
    color: #e0e0e0;
    font-size: 0.9rem;
    margin: 0;
    line-height: 1.5;
}

.cookie-container a {
    color: var(--primary); /* Stormy Cyan */
    text-decoration: underline;
    transition: opacity 0.3s;
}

.cookie-container a:hover {
    opacity: 0.8;
}

/* Button Styling */
.cookie-btns .btn-small {
    background: var(--primary);
    color: #0a0a0c;
    border: none;
    padding: 10px 25px;
    border-radius: 6px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
    white-space: nowrap;
}

.cookie-btns .btn-small-reject {
    background: #0a0a0c;
    color: var(--primary);
    border: 1px solid var(--primary);
    padding: 10px 25px;
    border-radius: 6px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
    white-space: nowrap;
}

.cookie-btns .btn-small:hover, .btn-small-reject:hover{
    background: #ffffff;
    box-shadow: 0 0 15px var(--primary);
    transform: translateY(-2px);
}

@media (max-width: 800px) {
    .cookie-container {
        flex-direction: column;
        text-align: center;
        bottom: 10px;
        left: 10px;
        right: 10px;
        padding: 20px;
    }
    
    .cookie-btns {
        width: 100%;
        margin-top: 15px;
    }
}